const ACTIONS = {
  LOGIN: 'LOGIN',
  GET_TOKEN: 'GET_TOKEN',
  GET_USER: 'GET_USER',
  GET_ALL_USERS: 'GET_ALL_USERS',
  GOOGLE_CREATE: 'GOOGLE_CREATE',
  AUTH: 'AUTH',
  LOGOUT: 'LOGOUT',
  CREATE: 'CREATE',
  UPDATE: 'UPDATE',
  DELETE: 'DELETE',
  FETCH_ALL: 'FETCH_ALL',
  LIKE: 'LIKE',
  CREATE_USER_PROFILE: 'CREATE_USER_PROFILE',
  UPDATE_USER_PROFILE: 'UPDATE_USER_PROFILE',
  FETCH_USER_PROFILE: 'FETCH_USER_PROFILE',
  UPDATE_AVATAR: 'UPDATE_AVATAR',
  RETRY_UPLOAD_FILE: 'RETRY_UPLOAD_FILE',
  FAILURE_UPLOAD_FILE: 'FAILURE_UPLOAD_FILE',
  SET_UPLOAD_PROGRESS: 'SET_UPLOAD_PROGRESS',
  SET_UPLOAD_FILE: 'SET_UPLOAD_FILE',
  STATUS_UPLOAD: { uploading: 0, success: 1, failed: 2 },
  ALERT_SUCCESS: 'ALERT_SUCCESS',
  ALERT_ERROR: 'ALERT_ERROR',

  SPEECH_TO_TEXT_REQUEST: 'SPEECH_TO_TEXT_REQUEST',
  SPEECH_TO_TEXT_SUCCESS: 'SPEECH_TO_TEXT_SUCCESS',
  SPEECH_TO_TEXT_FAIL: 'SPEECH_TO_TEXT_FAIL',
  SPEECH_TO_TEXT_RESET: 'SPEECH_TO_TEXT_RESET',

  TEXT_TO_SENTIMENTS_REQUEST: 'TEXT_TO_SENTIMENTS_REQUEST',
  TEXT_TO_SENTIMENTS_SUCCESS: 'TEXT_TO_SENTIMENTS_SUCCESS',
  TEXT_TO_SENTIMENTS_FAIL: 'TEXT_TO_SENTIMENTS_FAIL',
  TEXT_TO_SENTIMENTS_RESET: 'TEXT_TO_SENTIMENTS_RESET',

  GET_USER_FILES_REQUEST: 'GET_USER_FILES_REQUEST',
  GET_USER_FILES_SUCCESS: 'GET_USER_FILES_SUCCESS',
  GET_USER_FILES_FAIL: 'GET_USER_FILES_FAIL',

  USER_FILE_UPLOAD_REQUEST: 'USER_FILE_UPLOAD_REQUEST',
  USER_FILE_UPLOAD_SUCCESS: 'USER_FILE_UPLOAD_SUCCESS',
  USER_FILE_UPLOAD_FAIL: 'USER_FILE_UPLOAD_FAIL',

  GET_FILE_REQUEST: 'GET_FILE_REQUEST',
  GET_FILE_SUCCESS: 'GET_FILE_SUCCESS',
  GET_FILE_FAIL: 'GET_FILE_FAIL',

  SUCCESS_UPLOAD_FILE: 'SUCCESS_UPLOAD_FILE',

  UPDATE_USER_PROFILE_REQUEST: 'UPDATE_USER_PROFILE_REQUEST',
  UPDATE_USER_PROFILE_SUCCESS: 'UPDATE_USER_PROFILE_SUCCESS',
  UPDATE_USER_PROFILE_FAIL: 'UPDATE_USER_PROFILE_FAIL',

  UPDATE_USER_AVATAR_REQUEST: 'UPDATE_USER_AVATAR_REQUEST',
  UPDATE_USER_AVATAR_SUCCESS: 'UPDATE_USER_AVATAR_SUCCESS',
  UPDATE_USER_AVATAR_FAIL: 'UPDATE_USER_AVATAR_FAIL',

  GET_USER_DASHBOARD_REQUEST: 'GET_USER_DASHBOARD_REQUEST',
  GET_USER_DASHBOARD_SUCCESS: 'GET_USER_DASHBOARD_SUCCESS',
  GET_USER_DASHBOARD_FAIL: 'GET_USER_DASHBOARD_FAIL',

  GET_FILE_TRANSLATION_REQUEST: 'GET_FILE_TRANSLATION_REQUEST',
  GET_USER_TRANSLATION_SUCCESS: 'GET_USER_TRANSLATION_SUCCESS',
  GET_USER_TRANSLATION_FAIL: 'GET_USER_TRANSLATION_FAIL',

  SNACKBAR_SUCCESS: 'SNACKBAR_SUCCESS',
  SNACKBAR_CLEAR: 'SNACKBAR_CLEAR',

  GET_USER_BATCHES_REQUEST: 'GET_USER_BATCHES_REQUEST',
  GET_USER_BATCHES__SUCCESS: 'GET_USER_BATCHES__SUCCESS',
  GET_USER_BATCHES__FAIL: 'GET_USER_BATCHES__FAIL',

};

export default ACTIONS;
